#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt2800_mcu_request, 0xc29f8933, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x66217b8b, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xcbd16bb1, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x019440ba, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xfbc28635, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x5f61ae75, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xf1a10a42, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x725c29ef, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x0ef93a2e, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x2f8d6367, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x75c5fb63, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x9e0ea4b7, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xa1032f26, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x733bd19f, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xf420d9d5, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x48ff2d32, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x7f58d947, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x6c6b4ace, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xf2ed0886, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xc92054d7, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xb4882607, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xace16292, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x07097b67, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x398fd722, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xfa7bba3a, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xd3a6c958, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xf640260f, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x0c990e9f, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xe4fa3927, "_gpl");
SYMBOL_CRC(rt2800_config, 0x71cf4f5f, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x515d7be3, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x1fe30ce7, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x6cc3dcf7, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x8b94f295, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x8de818a2, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xafdde4d4, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x93b43521, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xde29c32c, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x01368fa7, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x8b757e24, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x3db363d1, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xb984bd46, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x62642c93, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x5c632140, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdfcf5363, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x76eb6d2, "rt2x00lib_txdone" },
	{ 0x5a86cc84, "__dynamic_dev_dbg" },
	{ 0xbcaaf813, "rt2x00queue_get_entry" },
	{ 0x5d8b79e1, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x57ea912, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xd441cd41, "rt2x00mac_conf_tx" },
	{ 0xf577629b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf0fe7f5, "skb_push" },
	{ 0x5ba5e935, "dev_kfree_skb_any_reason" },
	{ 0xddc2d901, "__skb_pad" },
	{ 0x2277dedc, "rt2x00lib_txdone_noinfo" },
	{ 0xdb497e26, "ieee80211_restart_hw" },
	{ 0x907ee0a5, "skb_pull" },
	{ 0xac68cb33, "_dev_info" },
	{ 0xed62b1cc, "rt2x00lib_set_mac_address" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x979f3c7c, "param_ops_bool" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "159048CE6B4832842E79E68");

MODULE_INFO(suserelease, "ALP-0.1");
