#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x2_read_rx_gain, 0x32f4f042, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xded53c00, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xec8475fb, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x345f4404, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x470af5e5, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x66dcccb2, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xae25e542, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x007e6702, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xab26060b, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x2e9bd855, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x83306778, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xe3108e32, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x48e9fb88, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x1aa31fbb, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0xcb8741d5, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x28572e2b, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x184ba51e, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x81f4f9aa, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x9b93caaf, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xae58f275, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2ed6a9, "mt76_init_sar_power" },
	{ 0xcd4f6df4, "mt76x02_phy_adjust_vga_gain" },
	{ 0x31d6b3d1, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xaca3ee21, "devm_kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x5d0263d9, "mt76x02_ext_pa_enabled" },
	{ 0xab675567, "mt76x02_get_efuse_data" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x9226f70e, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x15453642, "mt76_eeprom_init" },
	{ 0xa775b2ac, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x56962230, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xf6153fcb, "mt76_mcu_send_and_get_msg" },
	{ 0x148f544c, "of_find_property" },
	{ 0xf60a6ea3, "mt76_eeprom_override" },
	{ 0xa4d1a1a7, "mt76x02_get_lna_gain" },
	{ 0xdcb764ad, "memset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4dc0fd98, "mt76_get_sar_power" },
	{ 0xc0ec257a, "mt76x02_eeprom_copy" },
	{ 0x6f51897f, "mt76x02_mcu_calibrate" },
	{ 0x89b41cc0, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x85a863c7, "mt76_get_min_avg_rssi" },
	{ 0x611d4c13, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "B855F1C5C8D938837BB73B6");

MODULE_INFO(suserelease, "ALP-0.1");
